'
' Erstellt mit SharpDevelop.
' Benutzer: Tobi
' Datum: 05.03.2018
' Zeit: 10:33
' 
' Sie können diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ändern.
'
Public Partial Class MainForm
	Dim zufall As New System.Random()
	
	Dim zufallszahl As Integer
	Dim zaehler As Integer
	Dim reihenzaehler As Integer
	Dim auswahl(6) As String
	Dim anzahlReihen0 As Integer
	Dim anzahlReihen1 As Integer
	Dim anzahlReihenGroesser1 As Integer
	Dim anzahlReihen As Integer
	Dim anzahlReihe1 As Integer
	Dim anzahlReihe2 As Integer
	Dim anzahlReihe3 As Integer
	Dim anzahlReihe4 As Integer
	Dim merkReihe1 As Integer
	Dim merkReihe2 As Integer
	Dim merkReihe3 As Integer
	Dim merkReihe4 As Integer
	Dim nimmReihe1 As Integer
	Dim nimmReihe2 As Integer
	Dim nimmReihe3 As Integer
	Dim nimmReihe4 As Integer
	Dim dualReihe1 As String
	Dim dualReihe2 As String
	Dim dualReihe3 As String
	Dim dualReihe4 As String
	Dim dualSumme As String
	Dim dualSummenRest As String
	Dim aktuelleReihe As Integer
	Dim reihenfolge(3) As Integer
	Dim zaehler1 As Integer
	Dim zaehler2 As Integer
	Dim schonvorhanden As Boolean
	Dim spieler As String
	Dim computerFertig As Boolean
	Dim spielzug As String
	
	
	Public Sub New()
		' The Me.InitializeComponent call is required for Windows Forms designer support.
		Me.InitializeComponent()
		
		'
		' TODO : Add constructor code after InitializeComponents
		'
	End Sub
	
	
	
	Sub MainFormLoad(sender As Object, e As EventArgs)
		NeuesSpielVorbereiten
		
	End Sub
	
	
	Sub NeuesSpielVorbereiten()
		lblSpielerErgebnis.Text = ""
		lblComputerErgebnis.Text = ""
		pb11.Visible = True
		pb21.Visible = True
		pb22.Visible = True
		pb23.Visible = True
		pb31.Visible = True
		pb32.Visible = True
		pb33.Visible = True
		pb34.Visible = True
		pb35.Visible = True
		pb41.Visible = True
		pb42.Visible = True
		pb43.Visible = True
		pb44.Visible = True
		pb45.Visible = True
		pb46.Visible = True
		pb47.Visible = True
		btSpielBeginnComputer.Enabled = True
		btSpielBeginnSpieler.Enabled = True
		btSpielBeginnZufall.Enabled = True
		anzahlReihe1  = 1
		anzahlReihe2  = 3
		anzahlReihe3  = 5
		anzahlReihe4  = 7
		AlleReihenSperren
		lblSpielzugComputer.Visible = False
		lblSpielzugSpieler.Visible = False
		btSpielzugAbschliessenSpieler1.Enabled = False
		btSpielzugAbbrechenSpieler1.Enabled = False
		For zaehler = 0 To 6
			auswahl(zaehler) = ""
		Next
		dualCheck
		btSpielBeginnSpieler.Enabled = True
		btSpielBeginnComputer.Enabled = True
		btSpielBeginnZufall.Enabled = True
	End Sub
	
	Sub DualUmrechung()
		anzahlReihen = 0
		If anzahlReihe1 > 0 Then
			anzahlReihen = anzahlReihen + 1
		End If
		If anzahlReihe2 > 0 Then
			anzahlReihen = anzahlReihen + 1
		End If
		If anzahlReihe3 > 0 Then
			anzahlReihen = anzahlReihen + 1
		End If
		If anzahlReihe4 > 0 Then
			anzahlReihen = anzahlReihen + 1
		End If
		lblAnzahlReihe1.Text = anzahlReihe1
		lblAnzahlReihe2.Text = anzahlReihe2
		lblAnzahlReihe3.Text = anzahlReihe3
		lblAnzahlReihe4.Text = anzahlReihe4
		dualReihe1 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe1)))
		dualReihe2 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe2)))
		dualReihe3 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe3)))
		dualReihe4 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe4)))
		lblDualReihe1.Text  = dualReihe1
		lblDualReihe2.Text  = dualReihe2
		lblDualReihe3.Text  = dualReihe3
		lblDualReihe4.Text  = dualReihe4
		dualSumme = String.Format("{0:000}",CInt(lblDualReihe1.Text) + CInt(lblDualReihe2.Text) + CInt(lblDualReihe3.Text) + CInt(lblDualReihe4.Text))
		lblDualSumme.Text = dualSumme
		dualSummenRest = CInt(IstGerade(Links(lblDualSumme.Text,0))) + IstGerade(CInt(Links(lblDualSumme.Text,1))) + IstGerade(CInt(Links(lblDualSumme.Text,2)))
		lblDualSummenRest.Text = dualSummenRest
		Application.DoEvents
	End Sub
	
	Sub BtSpielBeginnSpielerClick(sender As Object, e As EventArgs)
		btSpielBeginnZufall.Enabled = False
		btSpielBeginnComputer.Enabled = False
		btSpielBeginnSpieler.Enabled = False
		lblSpielzugSpieler.Visible = True
		spielzug = "Spieler"
		AlleReihenFreigeben
	End Sub
	
	Sub BtSpielBeginnComputerClick(sender As Object, e As EventArgs)
		AlleReihenFreigeben
		btSpielBeginnZufall.Enabled = False
		btSpielBeginnComputer.Enabled = False
		btSpielBeginnSpieler.Enabled = False
		If btSpielBeginnComputer.Text = "Computer" then
			ComputerSpielzug
		Else
			lblSpielzugComputer.Visible = True
			btSpielzugAbschliessenSpieler2.Enabled = True
			btSpielzugAbbrechenSpieler2.Enabled = True
		End If 
	End Sub
	
	
	
	Sub BtSpielBeginnZufallClick(sender As Object, e As EventArgs)
		zufallszahl = zufall.Next(1,3)
		If zufallszahl = 1 Then
			BtSpielBeginnSpieler.PerformClick
		Else
			BtSpielBeginnComputer.PerformClick
		End If 
	End Sub
	
	
	Sub DualsystemAnzeigeToolStripMenuItemClick(sender As Object, e As EventArgs)
		If sender Is dualsystemAnzeige Then
			If dualsystemAnzeige.Checked = False Then
				dualsystemAnzeige.Checked = True
				groupBoxDualAnzeige.Visible = True
				lblRegel.Visible = False
			Else
				dualsystemAnzeige.Checked = False
				groupBoxDualAnzeige.Visible = False
				lblRegel.Visible = True
			End If
		End If
	End Sub
	
	Sub ProgrammBeendenToolStripMenuItemClick(sender As Object, e As EventArgs)
		End		
	End Sub
	
	Public Function Links(ByVal Zeichenkette As String, _
		ByVal Pos As Integer) As String
		If Pos > Zeichenkette.Length Then Pos = Zeichenkette.Length
		Return (Zeichenkette.Substring(Pos, 1))
	End Function
	
	Sub Reihe1Steuern(benutzbar As Boolean)
		pb11.Enabled = benutzbar
		
	End Sub
	
	Sub Reihe2Steuern(benutzbar As Boolean)
		pb21.Enabled = benutzbar
		pb22.Enabled = benutzbar
		pb23.Enabled = benutzbar
	End Sub
	
	Sub Reihe3Steuern(benutzbar As Boolean)
		pb31.Enabled = benutzbar
		pb32.Enabled = benutzbar
		pb33.Enabled = benutzbar
		pb34.Enabled = benutzbar
		pb35.Enabled = benutzbar
	End Sub
	
	Sub Reihe4Steuern(benutzbar As Boolean)
		pb41.Enabled = benutzbar
		pb42.Enabled = benutzbar
		pb43.Enabled = benutzbar
		pb44.Enabled = benutzbar
		pb45.Enabled = benutzbar
		pb46.Enabled = benutzbar
		pb47.Enabled = benutzbar
	End Sub
	
	Sub AlleReihenFreigeben()
		Reihe1Steuern(True)
		Reihe2Steuern(True)
		Reihe3Steuern(True)
		Reihe4Steuern(True)
	End Sub
	
	Sub AlleReihenSperren()
		Reihe1Steuern(False)
		Reihe2Steuern(False)
		Reihe3Steuern(False)
		Reihe4Steuern(False)
	End Sub
	
	Sub KlickReihe(Reihe As Integer)
		aktuelleReihe = Reihe
		Reihe1Steuern(False)
		Reihe2Steuern(False)
		Reihe3Steuern(False)
		Reihe4Steuern(False)
		Select Case  Reihe
			Case 1
				Reihe1Steuern(True)
				anzahlReihe1  = anzahlReihe1 - 1
			Case 2
				Reihe2Steuern(True)
				anzahlReihe2  = anzahlReihe2 - 1
			Case 3
				Reihe3Steuern(True)
				anzahlReihe3  = anzahlReihe3 - 1
			Case 4
				Reihe4Steuern(True)
				anzahlReihe4  = anzahlReihe4 - 1
		End Select
		dualCheck
		If spielzug = "Spieler" Then
			btSpielzugAbschliessenSpieler1.Enabled = True
			btSpielzugAbbrechenSpieler1.Enabled = True
		End If
		If spielzug = "Computer" Then
			btSpielzugAbschliessenSpieler2.Enabled = True
			btSpielzugAbbrechenSpieler2.Enabled = True
		End If
	End Sub
	
	
	
	Sub Pb11Click(sender As Object, e As EventArgs)
		While pb11.Height > 0
			pb11.Height =  pb11.Height - 1
			pb11.Top = pb11.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb11.Visible = False
		pb11.Height = 120
		pb11.Top = 61
		auswahl(0) = "pb11"
		KlickReihe(1)
	End Sub
	
	Sub Pb21Click(sender As Object, e As EventArgs)
		While pb21.Height > 0
			pb21.Height =  pb21.Height - 1
			pb21.Top = pb21.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb21.Visible = False
		pb21.Height = 120
		pb21.Top = 190
		auswahl(0) = "pb21"
		KlickReihe(2)
	End Sub
	
	Sub Pb22Click(sender As Object, e As EventArgs)
		While pb22.Height > 0
			pb22.Height =  pb22.Height - 1
			pb22.Top = pb22.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb22.Visible = False
		pb22.Height = 120
		pb22.Top = 190
		auswahl(1) = "pb22"
		KlickReihe(2)		
	End Sub
	
	Sub Pb23Click(sender As Object, e As EventArgs)
		While pb23.Height > 0
			pb23.Height =  pb23.Height - 1
			pb23.Top = pb23.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb23.Visible = False
		pb23.Height = 120
		pb23.Top = 190
		auswahl(2) = "pb23"
		KlickReihe(2)		
	End Sub
	
	Sub Pb31Click(sender As Object, e As EventArgs)
		While pb31.Height > 0
			pb31.Height =  pb31.Height - 1
			pb31.Top = pb31.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb31.Visible = False
		pb31.Height = 120
		pb31.Top = 320
		auswahl(0) = "pb31"
		KlickReihe(3)		
	End Sub
	
	Sub Pb32Click(sender As Object, e As EventArgs)
		While pb32.Height > 0
			pb32.Height =  pb32.Height - 1
			pb32.Top = pb32.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb32.Visible = False
		pb32.Height = 120
		pb32.Top = 320
		auswahl(1) = "pb32"
		KlickReihe(3)			
	End Sub
	
	Sub Pb33Click(sender As Object, e As EventArgs)
		While pb33.Height > 0
			pb33.Height =  pb33.Height - 1
			pb33.Top = pb33.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb33.Visible = False
		pb33.Height = 120
		pb33.Top = 320
		auswahl(2) = "pb33"
		KlickReihe(3)			
	End Sub
	
	Sub Pb34Click(sender As Object, e As EventArgs)
		While pb34.Height > 0
			pb34.Height =  pb34.Height - 1
			pb34.Top = pb34.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb34.Visible = False
		pb34.Height = 120
		pb34.Top = 320
		auswahl(3) = "pb34"
		KlickReihe(3)			
	End Sub
	
	Sub Pb35Click(sender As Object, e As EventArgs)
		While pb35.Height > 0
			pb35.Height =  pb35.Height - 1
			pb35.Top = pb35.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb35.Visible = False
		pb35.Height = 120
		pb35.Top = 320
		auswahl(5) = "pb35"
		KlickReihe(3)			
	End Sub
	
	Sub Pb41Click(sender As Object, e As EventArgs)
		While pb41.Height > 0
			pb41.Height =  pb41.Height - 1
			pb41.Top = pb41.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb41.Visible = False
		pb41.Height = 120
		pb41.Top = 453
		auswahl(0) = "pb41"
		KlickReihe(4)			
	End Sub
	
	Sub Pb42Click(sender As Object, e As EventArgs)
		While pb42.Height > 0
			pb42.Height =  pb42.Height - 1
			pb42.Top = pb42.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb42.Visible = False
		pb42.Height = 120
		pb42.Top = 453
		auswahl(1) = "pb42"
		KlickReihe(4)			
	End Sub
	
	Sub Pb43Click(sender As Object, e As EventArgs)
		While pb43.Height > 0
			pb43.Height =  pb43.Height - 1
			pb43.Top = pb43.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb43.Visible = False
		pb43.Height = 120
		pb43.Top = 453
		auswahl(2) = "pb43"
		KlickReihe(4)		
	End Sub
	
	Sub Pb44Click(sender As Object, e As EventArgs)
		While pb44.Height > 0
			pb44.Height =  pb44.Height - 1
			pb44.Top = pb44.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb44.Visible = False
		pb44.Height = 120
		pb44.Top = 453
		auswahl(3) = "pb44"
		KlickReihe(4)		
	End Sub
	
	Sub Pb45Click(sender As Object, e As EventArgs)
		While pb45.Height > 0
			pb45.Height =  pb45.Height - 1
			pb45.Top = pb45.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb45.Visible = False
		pb45.Height = 120
		pb45.Top = 453
		auswahl(4) = "pb45"
		KlickReihe(4)
	End Sub
	
	Sub Pb46Click(sender As Object, e As EventArgs)
		While pb46.Height > 0
			pb46.Height =  pb46.Height - 1
			pb46.Top = pb46.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb46.Visible = False
		pb46.Height = 120
		pb46.Top = 453
		auswahl(5) = "pb46"
		KlickReihe(4)		
	End Sub
	
	Sub Pb47Click(sender As Object, e As EventArgs)
		While pb47.Height > 0
			pb47.Height =  pb47.Height - 1
			pb47.Top = pb47.Top + 1
			System.Threading.Thread.Sleep(2)
		End While
		pb47.Visible = False
		pb47.Height = 120
		pb47.Top = 453	
		auswahl(6) = "pb47"
		KlickReihe(4)		
	End Sub
	
	Public Function Decimal2Binary(ByVal Dec As Integer) As String
		Return Convert.ToString(Dec, 2)
	End Function
	
	Public Function IstGerade(ByVal Zahl As Integer) As Integer
		Dim Entscheidung As String
		IF Zahl Mod 2 = 0 Then
			Entscheidung="0"
		ELSE
			Entscheidung = "1"
		END IF
		Return Entscheidung
	End Function
	
	
	Sub BtSpielzugAbbrechen1Click(sender As Object, e As EventArgs)
		SpielzugAbbrechen
		btSpielzugAbschliessenSpieler1.Enabled = False
		btSpielzugAbbrechenSpieler1.Enabled = False
	End Sub
	
	Sub BtSpielzugAbschliessen1Click(sender As Object, e As EventArgs)
		spielzug = "Computer"
		AlleReihenFreigeben
		For zaehler = 0 To 6
			auswahl(zaehler) = ""
		Next
		lblSpielzugSpieler.Visible = False
		btSpielzugAbschliessenSpieler1.Enabled = False
		btSpielzugAbbrechenSpieler1.Enabled = False
		If anzahlReihe1 + anzahlReihe2 + anzahlReihe3 + anzahlReihe4 = 1 Then
			lblSpielerErgebnis.Text = "Gewonnen"
			lblComputerErgebnis.Text = "Verloren"
		Else
			If btSpielBeginnComputer.Text = "Computer" Then
				ComputerSpielzug
			Else
				lblSpielzugComputer.Visible = True
			End If
		End If
	End Sub
	
	
	
	
	Sub NeuesSpielStartenToolStripMenuItemClick(sender As Object, e As EventArgs)
		NeuesSpielVorbereiten	
	End Sub
	
	Sub Spieler1GegenSpieler2ToolStripMenuItemClick(sender As Object, e As EventArgs)
		btSpielBeginnSpieler.Text = "Spieler 1"
		lblSpieler.Text = "Spieler 1"
		btSpielBeginnComputer.Text = "Spieler 2"
		lblComputer.Text = "Spieler 2"
		btSpielzugAbbrechenSpieler2.Visible = True
		btSpielzugAbschliessenSpieler2.Visible = True
		lblSpielzugComputer.Text = lblSpielzugSpieler.Text
		Spieler1GegenSpieler2ToolStripMenuItem.Checked = True
		Spieler1GegenComputerToolStripMenuItem.Checked = False
	End Sub
	
	Sub SpielerGegenComputer()
		
	End Sub
	
	Sub SpielerGegenSpieler()
		
	End Sub
	
	Sub Spieler1GegenComputerToolStripMenuItemClick(sender As Object, e As EventArgs)
		btSpielBeginnSpieler.Text = "Spieler"
		lblSpieler.Text = "Spieler"
		btSpielBeginnComputer.Text = "Computer"
		lblComputer.Text = "Computer"
		btSpielzugAbbrechenSpieler2.Visible = False
		btSpielzugAbschliessenSpieler2.Visible = False
		lblSpielzugComputer.Text = "führt seinen Spielzug aus"
		Spieler1GegenComputerToolStripMenuItem.Checked = True
		Spieler1GegenSpieler2ToolStripMenuItem.Checked = False
	End Sub
	
	Sub BtSpielzugAbschliessenSpieler2Click(sender As Object, e As EventArgs)
		spielzug = "Spieler"
		If anzahlReihe1 + anzahlReihe2 + anzahlReihe3 + anzahlReihe4 = 1 Then
			lblSpielerErgebnis.Text = "Verloren"
			lblComputerErgebnis.Text = "Gewonnen"
		Else
			AlleReihenFreigeben
			lblSpielzugComputer.Visible = False
			lblSpielzugSpieler.Visible = True
			For zaehler = 0 To 6
				auswahl(zaehler) = ""
			Next
		End If
		btSpielzugAbschliessenSpieler2.Enabled = False
		btSpielzugAbbrechenSpieler2.Enabled = False
	End Sub
	
	Sub BtSpielzugAbbrechenSpieler2Click(sender As Object, e As EventArgs)
		SpielzugAbbrechen
	End Sub
	
	Sub SpielzugAbbrechen()
		AlleReihenFreigeben
		
		For zaehler = 0 To 6
			Try
				Me.Controls(auswahl(zaehler)).Visible = True
				Me.Controls(auswahl(zaehler)).Visible = True
				Select Case  aktuelleReihe
					Case 1
						anzahlReihe1  = anzahlReihe1 + 1
					Case 2
						anzahlReihe2  = anzahlReihe2 + 1
					Case 3
						anzahlReihe3  = anzahlReihe3 + 1
					Case 4
						anzahlReihe4  = anzahlReihe4 + 1
				End Select
			Catch
			End Try
			auswahl(zaehler) = ""
		Next  
		Dualcheck
		
	End Sub
	
	Sub dualCheck()
		anzahlReihen0 = 0
		anzahlReihen1 = 0
		anzahlReihengroesser1 = 0
		If anzahlReihe1 = 0 Then
			anzahlReihen0 = anzahlReihen0 + 1
		End If
		If anzahlReihe2 = 0 Then
			anzahlReihen0 = anzahlReihen0 + 1
		End If
		If anzahlReihe3 = 0 Then
			anzahlReihen0 = anzahlReihen0 + 1
		End If
		If anzahlReihe4 = 0 Then
			anzahlReihen0 = anzahlReihen0 + 1
		End If
		If anzahlReihe1 = 1 Then
			anzahlReihen1 = anzahlReihen1 + 1
		End If
		If anzahlReihe2 = 1 Then
			anzahlReihen1 = anzahlReihen1 + 1
		End If
		If anzahlReihe3 = 1 Then
			anzahlReihen1= anzahlReihen1 + 1
		End If
		If anzahlReihe4 = 1 Then
			anzahlReihen1 = anzahlReihen1 + 1
		End If
		anzahlReihenGroesser1 = 4 - anzahlReihen0 - anzahlReihen1
		dualReihe1 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe1)))
		dualReihe2 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe2)))
		dualReihe3 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe3)))
		dualReihe4 = String.Format("{0:000}",CInt(Decimal2Binary(anzahlReihe4)))
		dualSumme = String.Format("{0:000}",CInt(dualReihe1) + CInt(dualReihe2) + CInt(dualReihe3) + CInt(dualReihe4))
		dualSummenRest = CInt(IstGerade(Links(dualSumme,0))) + IstGerade(CInt(Links(dualSumme,1))) + IstGerade(CInt(Links(dualSumme,2)))
		lblAnzahlReihe1.Text = anzahlReihe1
		lblAnzahlReihe2.Text = anzahlReihe2
		lblAnzahlReihe3.Text = anzahlReihe3
		lblAnzahlReihe4.Text = anzahlReihe4
		lblDualReihe1.Text  = dualReihe1
		lblDualReihe2.Text  = dualReihe2
		lblDualReihe3.Text  = dualReihe3
		lblDualReihe4.Text  = dualReihe4
		lblDualSumme.Text = dualSumme
		lblDualSummenRest.Text = dualSummenRest
		Application.DoEvents
	End Sub
	
	Sub ComputerSpielzug()
		lblSpielzugComputer.Visible = True
		Application.DoEvents()
		System.Threading.Thread.Sleep(1000)
		computerFertig = False
		merkReihe1 = anzahlReihe1
		merkReihe2 = anzahlReihe2
		merkReihe3 = anzahlReihe3
		merkReihe4 = anzahlReihe4
		If anzahlReihenGroesser1 = 1 And anzahlReihen1 = 1 Or anzahlReihen1 = 3 Then
			If anzahlReihe2 > 1 Then
				anzahlReihe2 = 0
				computerFertig = True
			End If
			If computerFertig = False Then
				If anzahlReihe3 > 1 Then
					anzahlReihe3 = 0
					computerFertig = True
				End If
			End If
			If computerFertig = False Then
				If anzahlReihe4 > 1 Then
					anzahlReihe4 = 0
					computerFertig = True
				End If
			End If
		Else
			If anzahlReihen1 = 2 And anzahlReihenGroesser1 = 1 OR anzahlReihen0 = 3 Then
				If anzahlReihe2 > 1 Then
					anzahlReihe2 = 1
					computerFertig = True
				End If
				If computerFertig = False Then
					If anzahlReihe3 > 1 Then
						anzahlReihe3 =1
						computerFertig = True
					End If
				End If
				If computerFertig = False Then
					If anzahlReihe4 > 1 Then
						anzahlReihe4 = 1
						computerFertig = True
					End If
				End If
				
				
			Else
				For zaehler1 = 0 To 3
					reihenfolge(zaehler1) = -1
				Next
				For zaehler1 = 0 To 3
					schonvorhanden = True
					While schonvorhanden
						zufallszahl = zufall.Next(1,5)
						schonvorhanden = False
						For zaehler2 = 0 To 3
							If reihenfolge(zaehler2) = zufallszahl Then
								schonvorhanden = True
							End If
						Next
					End While
					reihenfolge(zaehler1) = zufallszahl
				Next
				For zaehler1 = 0 To 3
					Select Case reihenfolge(zaehler1)
						Case 1
							While computerFertig = False And anzahlReihe1 > 0
								anzahlReihe1 = anzahlReihe1 - 1
								dualCheck
								If dualSummenRest = 0 Then
									computerFertig = True
								End If
							End While
							If  computerFertig = False And anzahlReihe1 = 0 Then
								anzahlReihe1 =merkReihe1
							End If
						Case 2
							While computerFertig = False And anzahlReihe2 > 0
								anzahlReihe2 = anzahlReihe2 - 1
								dualCheck
								If dualSummenRest = 0 Then
									computerFertig = True
								End If
							End While
							If  computerFertig = False And anzahlReihe2 = 0 Then
								anzahlReihe2 = merkReihe2
							End If
						Case 3
							While computerFertig = False And anzahlReihe3 > 0
								anzahlReihe3 = anzahlReihe3 - 1
								dualCheck
								If dualSummenRest = 0 Then
									computerFertig = True
								End If
							End While
							If  computerFertig = False And anzahlReihe3 = 0 Then
								anzahlReihe3 =merkReihe3
							End If
						Case 4
							While computerFertig = False And anzahlReihe4 > 0
								anzahlReihe4 = anzahlReihe4 - 1
								dualCheck
								If dualSummenRest = 0 Then
									computerFertig = True
								End If
							End While
							If  computerFertig = False And anzahlReihe4 = 0 Then
								anzahlReihe4 = merkReihe4
							End If
					End Select
				Next
			End If
		End If
		zaehler1 = 0
		While computerFertig = False
			
			
			Select Case reihenfolge(zaehler1)
				Case 1
					If anzahlReihe1 > 0 Then
						anzahlReihe1 =  anzahlReihe1 - 1
						computerFertig = True
					End If
				Case 2
					If computerFertig = False Then
						If anzahlReihe2 > 0 Then
							anzahlReihe2 = anzahlReihe2 - 1
							computerFertig = True
						End If
					End If
				Case 3
					If computerFertig = False Then
						If anzahlReihe3 > 0 Then
							anzahlReihe3 = anzahlReihe3 - 1
							computerFertig = True
						End If
					End If
				Case 4
					If computerFertig = False Then
						If anzahlReihe4 > 0 Then
							anzahlReihe4 = anzahlReihe4 - 1
							computerFertig = True
						End If
					End If
			End Select
			zaehler1 = zaehler1 + 1
		End While
		
		If computerFertig = True Then
			nimmReihe1 = merkReihe1 - anzahlReihe1
			nimmReihe2 = merkReihe2 - anzahlReihe2
			nimmReihe3 = merkReihe3 - anzahlReihe3
			nimmReihe4 = merkReihe4 - anzahlReihe4
			anzahlReihe1 = merkReihe1
			anzahlReihe2 = merkReihe2
			anzahlReihe3 = merkReihe3
			anzahlReihe4 = merkReihe4
			If nimmReihe1 > 0 Then
				If pb11.Visible = True Then
					Pb11Click(Nothing, Nothing)
					nimmReihe1 = nimmReihe1 - 1
				End If
			End If
			If nimmReihe2 > 0 Then
				If pb23.Visible = True Then
					Pb23Click(Nothing, Nothing)
					nimmReihe2 = nimmReihe2 - 1
				End If
			End If		
			If nimmReihe2 > 0 Then
				If pb22.Visible = True Then
					Pb22Click(Nothing, Nothing)
					nimmReihe2 = nimmReihe2 - 1
				End If
			End If
			If nimmReihe2 > 0 Then
				If pb21.Visible = True Then
					Pb21Click(Nothing, Nothing)
					nimmReihe2 = nimmReihe2 - 1
				End If
			End If
			If nimmReihe3 > 0 Then
				If pb35.Visible = True Then
					Pb35Click(Nothing, Nothing)
					nimmReihe3 = nimmReihe3 - 1
				End If
			End If		
			If nimmReihe3 > 0 Then
				If pb34.Visible = True Then
					Pb34Click(Nothing, Nothing)
					nimmReihe3 = nimmReihe3 - 1
				End If
			End If		
			If nimmReihe3 > 0 Then
				If pb33.Visible = True Then
					Pb33Click(Nothing, Nothing)
					nimmReihe3 = nimmReihe3 - 1
				End If
			End If		
			If nimmReihe3 > 0 Then
				If pb32.Visible = True Then
					Pb32Click(Nothing, Nothing)
					nimmReihe3 = nimmReihe3 - 1
				End If
			End If		
			If nimmReihe3 > 0 Then
				If pb31.Visible = True Then
					Pb31Click(Nothing, Nothing)
					nimmReihe3 = nimmReihe3 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb47.Visible = True Then
					Pb47Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb46.Visible = True Then
					Pb46Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb45.Visible = True Then
					Pb45Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb44.Visible = True Then
					Pb44Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb43.Visible = True Then
					Pb43Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb42.Visible = True Then
					Pb42Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If nimmReihe4 > 0 Then
				If pb41.Visible = True Then
					Pb41Click(Nothing, Nothing)
					nimmReihe4 = nimmReihe4 - 1
				End If
			End If		
			If anzahlReihe1 + anzahlReihe2 + anzahlReihe3 + anzahlReihe4 = 1 Then
				lblSpielerErgebnis.Text = "Verloren"
				lblComputerErgebnis.Text = "Gewonnen"
			Else
				AlleReihenFreigeben
				lblSpielzugComputer.Visible = False
				lblSpielzugSpieler.Visible = True
				spielzug = "Spieler"
				For zaehler = 0 To 6
					auswahl(zaehler) = ""
				Next
			End If
		End If
	End Sub
End Class


